plotVarImp <- function(df, color = "grey", top=0, scale=TRUE) {

  if (!requireNamespace("scales", quietly = TRUE)) {
    stop("You need the package \"scales\" to run this function,",
         " please install it.",
         call. = FALSE)
  }
  nmax = dim(df)[1]
  if(top>0){
  	nmax = min(c(top,dim(df)[1]))
  }
  
  df <- df[order(df[, 2]), ]
  lab = waiver()
  if(scale){
  	df[, 2] <- df[, 2] / 100
  	lab = scales::percent
  }
  df[, 1] <- factor(df[, 1], levels = df[, 1])
  df <- df[c(dim(df)[1]:(dim(df)[1]-nmax+1)),]
  y_name <- colnames(df)[2]
  my_plot <- ggplot(df, aes(x = .data$Variable, y = .data[[y_name]])) +
    ggplot2::labs(x = "", y = sub("_", " ", y_name)) +
    ggplot2::scale_y_continuous(labels=lab) +
    ggplot2::geom_bar(position = "dodge", stat = "identity", fill = color) +
    ggplot2::coord_flip() +
    ggplot2::theme_minimal() +
    ggplot2::theme(text = ggplot2::element_text(size=12,colour = "#666666"),axis.text = element_text(size=12))

  return(my_plot)
}
